@media (hover: hover) {
.lang__li:hover {
    color: var(--hoverColor);
    background-color: rgb(20, 20, 20);
    transition: all 0.3s ease;
}  

.header-nav-li:hover {
    color: var(--hoverColor);
    transition: color 0.2s ease;
}

.social-links-link:hover {


    transform: scale(1.01);
    

    background-position: right top;
    transform: scale(1.02);
    outline: none;
    box-shadow:
        0 0 0 3px var(--btn-bg-2),
        0 0 0 6px var(--btn-bg-2);




}


.start-section-logo-letter-left:hover {
    opacity: 0.7;
    transition: opacity  0.2s ease, transform 0.2s ease;
    transform: translateX(-8px);
}

.start-section-logo-letter-right:hover {
    opacity: 0.7;
    transition: opacity  0.2s ease, transform 0.2s ease;
    transform: translateX(8px);
}

.aboutme-section-slider-item:hover {
    filter: saturate(100%);
    transition: filter 0.2s ease;

}

.aboutme-section-slider-item:hover .aboutme-section-slider-item-img img {
    transform: scale(103%);
    transition: transform 0.3s ease;
}


h1:hover {
    transition: color 0.2s ease;
    color: var(--accentColor);
}


.section-headline:hover h2,
.section-headline:hover h3,
.section-headline:hover h4 {
    color: var(--accentColor);
    transition: all 0.4s ease;
    transform: translateX(20px);

}

.section-headline-icon-img:hover {
    filter: drop-shadow(0 0 100px rgba(173, 255, 47, 0.3));
    transition: filter 0.5s ease;
}

.slider-controls button:hover {
    background-position: right top;
    transform: scale(1.02);
    outline: none;

}

.section-headline-bottom-link:hover {
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(20px);
    border: 0.5px solid rgba(233, 255, 212, 0.15);

    transition: all 0.2s ease;
    box-shadow: 0px 0px 50px  rgba(255, 255, 255, 0.10) ;
}

.section-headline-bottom-link:hover .section-headline-bottom-link-text {
    color: white !important;
    transition: all 0.2s ease;

}

.section-headline-bottom-link:hover .section-headline-bottom-link-text {
    transform: translateX(-10px);
    transition: all 0.2s ease;

}


.section-headline-bottom-link:hover .arrow-up {
    transform: translateX(10px);
    opacity: 1;
    color: white;
    transition: all 0.2s ease;
}

.btn-portfolio:hover {
  background-position: right top;
    transform: scale(1.02);
    outline: none;
    box-shadow:
        0 0 0 3px var(--btn-bg-2),
        0 0 0 6px var(--btn-bg-2);

}


.footer-text p:hover {
    color: white;
    transition: color 0.2s ease;
}


.footer-link a:hover{
    color: var(--hoverColor);
    transition: color 0.2s ease;
}

.accent-word:hover {
    color: var(--accentColor);
    transition: color 0.2s ease;
}


}


.mobile-social-links-container {
    display: none;
}

 .mobile-screen {
    display: none;
}
@media (max-width: 1300px ) {

    html {
        font-size: 12px;
    }
    .social-links-link {
        min-width: 200px;
        min-height: 30px;
    }
    .motion-section-slider-item {
        flex-direction: column;
        height: 100%;
        padding: 0 50px;
    }

    .video-container {
        height: 75vh;
    }
}

@media (max-width: 1000px ) {
    html {
        font-size: 10px;
    }

    .section-headline-icon {
        width: 300px;
    }

}

@media (max-width: 900px ) {
    .desktop {
        display: none;
    }

    .mobile-social-links-container {
        display: flex;
    }

    .mobile-screen {
        display: flex;
    }


}

@media (max-width: 800px ) {
    .footer__wrapper {
        flex-direction: column-reverse;
        justify-content: center;
        align-items: center;
        gap: 50px;
    }

    .footer-text {
        width: 100%;
        text-align: center;
    }

    .footer-links {
        width: 100%;
        font-size: 2rem;
        text-align: center;
    }
}

@media (max-width: 640px ) {
    .header-nav__wrapper {
        gap: 30px;
    }
}

@media (max-width: 600px ) {
    html {
        font-size: 8px;
    }

    h1, .section-headline h2, .section-headline h3, .section-headline h4 {
        font-size: 5rem;
        text-align: center;
        width: 100%;
    }

    .aboutme-section-slider-headline {
        text-align: center;
        left: 0;
        bottom: 0;
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        padding-bottom: 30px;
    }

    .aboutme-section-text {
        text-align: center;
    }

    .section-headline-icon img {
        width: 200px;
    }

    .section-headline {
        flex-direction: column-reverse;
        gap: 20px;
        align-items: center;
        justify-content: center;
    }

    .section-headline {
        margin-bottom: 50px;
    }

    .header {
        display: none;
    }

    .mobile-social-links {
        gap: 10px;
    }

    .aboutme-section-text {
        padding: 30px 0;
    }
    

}

@media (max-width: 500px ) {
    h1 {
        font-size: 4rem;
    }

    .social-links-link {
        min-width: 150px;
    }
}

@media (max-width: 450px) {
    html {
        font-size: 8px;
    }

    .section-padding {
        padding: 20px;
    }
    .social-links {
        padding: 20px;
    }

    .btn-portfolio {
        padding: 30px 50px;
    }
}